nfacepairing.h File Reference

Deals with pairing off tetrahedron faces in a census of 3-manifold triangulations. More...

`#include "regina-core.h"`
`#include "census/ngenericfacetpairing.h"`
`#include "triangulation/nisomorphism.h"`

## Classes

class | regina::NFacePairing
| Represents a specific pairwise matching of tetrahedron faces. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef std::list< NIsomorphism * > | regina::NFacePairingIsoList
| A legacy typedef provided for backward compatibility only. More...
typedef void(* | regina::UseFacePairing )(const NFacePairing *, const NFacePairingIsoList *, void *)
| A legacy typedef provided for backward compatibility only. More...

## Detailed Description

Deals with pairing off tetrahedron faces in a census of 3-manifold triangulations.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).